Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

The Nvidia Geforce 6150 does not work with Unity. What should I do to fix it?

I am using Ubuntu 11.10.

share|improve this question
1  
Welcome to Ask Ubuntu! I have noticed you currently have 13 questions and a 0% acceptance rate. Please consider going back through the other questions you have already asked and accepting answers to the ones which have been resolved by clicking the checkmark icon next to your preferred answers; this rewards those who answered you with additional reputation, properly marks the questions as solved and improves your acceptance score, which makes it more likely for people to want to continue investing the effort needed to help you. –  Christopher Kyle Horton Feb 23 '12 at 2:07

3 Answers 3

up vote 1 down vote accepted

I know this video card is old but I have resolved several older Nvidia card issues using the latest Nvidia drivers.

To install the latest drivers (assuming you have alread installed the proprietary drivers from the Additional Drivers app, do the following:

In the terminal type: sudo apt-add-repository ppa:ubuntu-x-swat/x-updates

Then update your repositories by typing in the terminal this: sudo apt-get update.

Afterwards go to your Update Manager. An updated version of the Nvidia card will appear. Install it and reboot the PC.

If you have not yet installed the proprietary drivers then open your dash and type "Drivers". The Additional Drivers icon app should appear. Install the Nvidia recommended driver from the list and reboot.

From my experience this has solved a Geforce FX 5600 problem I had, a Geforce 6200 problem and another Geforce 6400.

share|improve this answer
    
it won't cause problem with suspend? can you tell me what the x-upadte is? –  yinon Feb 25 '12 at 19:47
1  
That is a PPA that includes the latest drivers for Intel, Ati & Nvidia. Basically when Nvidia or Ati come out with a new driver version, the PPA will update to the latest. It will not cause problems with supend. Tested here already. When you are satisfied with the answer please accept the answer to approve it. –  Luis Alvarado Feb 25 '12 at 20:03

You could try an older nvidia-173 driver from the repositories. Ii's not a fix, rather a workaround, but it worked for some, according to comments here, ...that is, if you don't mind suspend to RAM not working.

As for a proper fix, it seems that anything prior to Geforce 8xxx is considered too old for Unity, which seems like a fair deal. The first 8xxx series were released five years ago, in 2007.

share|improve this answer

In my case, it was actually a case of removing the NVIDIA drivers.

My answer here helped.

As a bonus, my whole system seems to be running much much faster. I think the Nvidia driver was buggy and slowing everything down and not recognizing my video card's capability.

share|improve this answer
    
Try not to copy and paste answers - just link your previous answer if you consider that it answers the question. The reason is simple - a change in one answer will be still be correct with a linked answer whereas a duplicate answer will be potentially wrong. –  fossfreedom Apr 11 '12 at 21:37

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.